#
# spec file for package python3-backports.unittest_mock
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   backports.unittest_mock
Name:           python3-backports.unittest_mock
Version:        1.1.1
Release:        2.12
Summary:        Backports of unittest_mock
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/backports.unittest_mock
Source:         https://files.pythonhosted.org/packages/source/b/%{_name}/%{_name}-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-Sphinx
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildArch:      noarch

%description
Provides a function "install()" which makes the "mock" module
available as "unittest.mock" on Python 3.2 and earlier.
Also advertises a pytest plugin which configures unittest.mock
automatically.

%prep
%setup -q -n %{_name}-%{version}

%build
python3 setup.py build
python3 setup.py build_sphinx

%install
python3 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%check
python3 setup.py test

%files
%defattr(-,root,root)
%doc CHANGES.rst README.rst
%dir %{python3_sitelib}/backports/
%{python3_sitelib}/backports/unittest_mock/
%{python3_sitelib}/%{_name}-*

%changelog
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Add build_sphinx.
- Minor spec cleanups.
* Sat Jul 16 2016 arun@gmx.de
- initial version
